aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 07:48:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:25 +0000
commit0b81263b0287f28b6c5812c990aee04ab562fbd0 (patch)
tree11952de2748b28d7a96b59a6db3c1185e8ac38c0
parent5aa59f496cb821acadb2ee4af9359dbacc545c5a (diff)
downloadaports-0b81263b0287f28b6c5812c990aee04ab562fbd0.tar.bz2
aports-0b81263b0287f28b6c5812c990aee04ab562fbd0.tar.xz
testing/py-flask-admin: new aport
Flask admin interface https://pypi.python.org/pypi/Flask-Admin
-rw-r--r--testing/py-flask-admin/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-admin/APKBUILD b/testing/py-flask-admin/APKBUILD
new file mode 100644
index 0000000000..9e060e90e7
--- /dev/null
+++ b/testing/py-flask-admin/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-admin
+_pkgname=Flask-Admin
+pkgver=1.0.6
+pkgrel=0
+pkgdesc="Flask admin interface"
+url="https://pypi.python.org/pypi/Flask-Admin"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a03fa42bba999323c655d85e49107bb2 Flask-Admin-1.0.6.tar.gz"
+sha256sums="c16d1bb1b6c2b6ac8db8486b9a5e1919d1a073252e3fb0c0c226406470113a54 Flask-Admin-1.0.6.tar.gz"
+sha512sums="a30e2678a063d45d55ccf41cfec07fd16973cc8c770b1e7f16d11b9aba693049b1d9d4cff81d8ae8f2548d019f977f0906728e98d23d229d76bf135a079abc8f Flask-Admin-1.0.6.tar.gz"